Get encrypted card details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"card_number": "<string>",
"cvv": "<string>",
"expiration_date": "<string>",
"iv": "<string>"
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}PCI
Get encrypted card details
Retrieves encrypted card details for a fully provisioned card.
Generate a new AES-256 session key, wrap it with one of the RSA-OAEP keys
returned by GET /pci/public-key, and send the encrypted key with its
key_id. The card number and CVV are returned encrypted with AES-GCM.
This route is available only to approved PCI integrations. Do not log, cache, or persist the request parameters, session key, or decrypted data.
GET
/
v1
/
pci
/
cards
/
{card_id}
/
details
Get encrypted card details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/pci/cards/{card_id}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"card_number": "<string>",
"cvv": "<string>",
"expiration_date": "<string>",
"iv": "<string>"
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Path Parameters
The card ID.
Query Parameters
Base64-encoded RSA-OAEP encrypted AES-256 session key. URL-encode this query value.
Id of the encryption_keys entry that wrapped encrypted_key.
Response
The request has succeeded.